$checkbox-border-color: #7c87a1;
$checkbox-text-color: #a1afca;

.checkbox {
  display: flex;
  align-items: center;
  transition: opacity $transitionTime ease-in;
  &[disabled] {
    opacity: .6;
    user-select: none;
  }
  &_input {
    display: flex;
    position: relative;
    &-original {
      display: none;
    }
  }
  &_label {
    color: $checkbox-text-color;
    opacity: .7;
  }
  &.is-checked {
    .checkbox_inner {
      &:after {
        transform: rotate(45deg) scaleY(1);
      }
    }
    .checkbox_label {
      opacity: 1;
    }
  }
  &_inner {
    position: relative;
    width: 24px;
    height: 24px;
    border: 1px solid $checkbox-border-color;
    border-radius: 4px;
    margin-right: $marginMini;
    &:after {
      position: absolute;
      box-sizing: content-box;
      content: "";
      border: 2px solid $accentColorSecond;
      border-left: 0;
      border-top: 0;
      height: 7px;
      left: 9px;
      top: 6px;
      transform: rotate(45deg) scaleY(0);
      width: 3px;
      //transition: transform .15s ease-in .05s;
      transform-origin: center;
    }
  }
}
